LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Blogs > D1ver
User Name
Password

Notices

Rate this Entry

Slackware 13.37 and Openembedded

Posted 06-04-2012 at 01:21 AM by D1ver
Updated 06-06-2012 at 07:48 PM by D1ver

Openembedded is a handy way to crosscompile software for embedded devices. After spending most of the day struggling to get the initial build process to complete on Slackware I figured I'd make a post here in the hopes of saving someone some time in the future.

Required Software:
OE lists the required software at http://www.openembedded.org/wiki/Required_software
I found the following packages at slackbuilds.org
- help2man
- chrpath
and built texinfo using src2pkg with the source from ftp://ftp.gnu.org/pub/gnu/texinfo/

The biggest showstopper, was eglibc-initial.12.bb failing to build with the following error
Code:
RROR: TaskFailed event exception, aborting
ERROR: Build of /home/neil/arm/openembedded/recipes/eglibc/eglibc-initial_2.12.bb do_install failed
ERROR: Task 2 (/home/neil/arm/openembedded/recipes/eglibc/eglibc-initial_2.12.bb, do_install) failed with 256
ERROR: '/home/neil/arm/openembedded/recipes/eglibc/eglibc-initial_2.12.bb' failed
ERROR: Function do_install failed
Code:
| /home/neil/arm/openembedded/bin/install -c -m 644 include/limits.h /usr/include/limits.h
| install: cannot remove `/usr/include/limits.h': Permission denied
There was a few mailing list entries with similar problems with no solutions. Eventually I found the answer in some obscure forum reply.

Make version 3.82 has an unspecified bug which causes the build to fail. Changing to Make v 3.81 fixes this problem and openembedded builds fine.

I got the source and slackbuild for Make 3.81 from my favorite slackware mirror and compiled a package on 13.37. Then I used upgradepkg to downgrade from the stock 3.82 to 3.81. Hopefully there are no adverse effects on my system, but openembedded is now happy.

Edit: There is a package for Make 3.81 included in the /extra directory of Slackware 13.37
Posted in Uncategorized
Views 1537 Comments 1
« Prev     Main     Next »
Total Comments 1

Comments

  1. Old Comment
    this is extremely helpful!
    I am dealing with yocto these days, and come across this problem concernig make on a debian forum.
    I will soon be attempting to compile yocto on slack 14 - since it uses make v3.82 I suspect the error will not be debugged in this version.
    Posted 06-07-2013 at 09:07 AM by nass nass is offline
 

  



All times are GMT -5. The time now is 05:17 AM.

Main Menu

My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration